Debian Bug report logs - #569862
libabstract-ruby1.9: Please drop the dependency on ruby 1.9.0

version graph

Package: libabstract-ruby1.9; Maintainer for libabstract-ruby1.9 is (unknown);

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 14 Feb 2010 19:30:58 UTC

Severity: serious

Tags: patch

Found in version libabstract-ruby/1.0.0-2

Fixed in version libabstract-ruby/1.0.0-2.1

Done: Tollef Fog Heen <tfheen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bryan McLellan <btm@loftninjas.org>:
Bug#569862; Package libabstract-ruby1.9. (Sun, 14 Feb 2010 19:31:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Bryan McLellan <btm@loftninjas.org>. (Sun, 14 Feb 2010 19:31:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libabstract-ruby1.9: Please drop the dependency on ruby 1.9.0
Date: Sun, 14 Feb 2010 20:27:09 +0100
Package: libabstract-ruby1.9
Version: 1.0.0-2
Severity: serious
User: debian-ruby@lists.debian.org
Usertags: ruby190transition

Hi,

Ruby 1.9.0 is going away in Squeeze, replaced by Ruby 1.9.1. This
transition is made mandatory by API changes upstream.

Your package currently ships some files in /usr/lib/ruby/1.9.0. This
will no longer work with 1.9.1.

You can either:
- port your package to Ruby 1.9.1
- drop the Ruby 1.9.X binary package

There is more information on http://wiki.debian.org/Ruby191Transition

Thanks

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Bryan McLellan <btm@loftninjas.org>:
Bug#569862; Package libabstract-ruby1.9. (Mon, 15 Mar 2010 18:52:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Seksan Poltree <seksan.poltree@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bryan McLellan <btm@loftninjas.org>. (Mon, 15 Mar 2010 18:52:19 GMT) Full text and rfc822 format available.

Message #10 received at 569862@bugs.debian.org (full text, mbox):

From: Seksan Poltree <seksan.poltree@gmail.com>
To: 569862@bugs.debian.org
Subject: diff for NMU version 1.0.0-2.1
Date: Tue, 16 Mar 2010 01:46:41 +0700
[Message part 1 (text/plain, inline)]
tags 569862 + patch
thanks

Dear maintainer,

I have prepare an NMU for libabstract-ruby version 1.0.0-2.1.
The diff file is attached.

Regards,

Seksan Poltree
[libabstract-ruby_1.0.0-2.1.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Seksan Poltree <seksan.poltree@gmail.com> to control@bugs.debian.org. (Mon, 15 Mar 2010 18:52:20 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 06 Jul 2010 08:09:07 GMT) Full text and rfc822 format available.

Reply sent to Tollef Fog Heen <tfheen@debian.org>:
You have taken responsibility. (Tue, 06 Jul 2010 15:03:15 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 06 Jul 2010 15:03:16 GMT) Full text and rfc822 format available.

Message #19 received at 569862-close@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@debian.org>
To: 569862-close@bugs.debian.org
Subject: Bug#569862: fixed in libabstract-ruby 1.0.0-2.1
Date: Tue, 06 Jul 2010 15:02:44 +0000
Source: libabstract-ruby
Source-Version: 1.0.0-2.1

We believe that the bug you reported is fixed in the latest version of
libabstract-ruby, which is due to be installed in the Debian FTP archive:

libabstract-ruby-doc_1.0.0-2.1_all.deb
  to main/liba/libabstract-ruby/libabstract-ruby-doc_1.0.0-2.1_all.deb
libabstract-ruby1.8_1.0.0-2.1_all.deb
  to main/liba/libabstract-ruby/libabstract-ruby1.8_1.0.0-2.1_all.deb
libabstract-ruby1.9.1_1.0.0-2.1_all.deb
  to main/liba/libabstract-ruby/libabstract-ruby1.9.1_1.0.0-2.1_all.deb
libabstract-ruby_1.0.0-2.1.diff.gz
  to main/liba/libabstract-ruby/libabstract-ruby_1.0.0-2.1.diff.gz
libabstract-ruby_1.0.0-2.1.dsc
  to main/liba/libabstract-ruby/libabstract-ruby_1.0.0-2.1.dsc
libabstract-ruby_1.0.0-2.1_all.deb
  to main/liba/libabstract-ruby/libabstract-ruby_1.0.0-2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 569862@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tollef Fog Heen <tfheen@debian.org> (supplier of updated libabstract-ruby package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 05 Jul 2010 22:01:14 +0200
Source: libabstract-ruby
Binary: libabstract-ruby libabstract-ruby1.8 libabstract-ruby1.9.1 libabstract-ruby-doc
Architecture: source all
Version: 1.0.0-2.1
Distribution: unstable
Urgency: low
Maintainer: Bryan McLellan <btm@loftninjas.org>
Changed-By: Tollef Fog Heen <tfheen@debian.org>
Description: 
 libabstract-ruby - A library which enables you to define abstract method in Ruby
 libabstract-ruby-doc - Documentation for libabstract-ruby
 libabstract-ruby1.8 - A library which enables you to define abstract method in Ruby 1.8
 libabstract-ruby1.9.1 - A library which enables you to define abstract method in Ruby 1.9
Closes: 569862 577905
Changes: 
 libabstract-ruby (1.0.0-2.1) unstable; urgency=low
 .
   * NMU
   * Update for ruby 1.9.1, dropping 1.9 package.
     (Closes: #569862, #577905)
Checksums-Sha1: 
 79ad9e30ed1d4bf102f52c87e60fd939eb677478 1828 libabstract-ruby_1.0.0-2.1.dsc
 377e4e402c1f2a3d486a900301a1a412018d842b 2324 libabstract-ruby_1.0.0-2.1.diff.gz
 67c8e378022f9b8ca1c25f625e7ea9c4600db917 2980 libabstract-ruby_1.0.0-2.1_all.deb
 42105883de57c147df1d0899aee28b52e72a2b9f 3620 libabstract-ruby1.8_1.0.0-2.1_all.deb
 54e2b380bfcf481d129ce09c0621f4a38fb5063b 3620 libabstract-ruby1.9.1_1.0.0-2.1_all.deb
 6d993a28e6d58aa19d1ef27a9a0f3cd1832bae7a 13850 libabstract-ruby-doc_1.0.0-2.1_all.deb
Checksums-Sha256: 
 2f11670461c6fe85c4b069d2deba69b370524c9549f869bd49e739eb0993c934 1828 libabstract-ruby_1.0.0-2.1.dsc
 a5a6714b05baff669675c307eb08df2d518fb0ca2dd5fd16de4167fc4bdd1860 2324 libabstract-ruby_1.0.0-2.1.diff.gz
 af2224d6cdc72a9d01c9e5e1071492350f5725f16cdd72134aab4697088f7034 2980 libabstract-ruby_1.0.0-2.1_all.deb
 0a65d0e029b2b91ef631041f7fe739d07aada5cb0b06b1de47765879f7a0408a 3620 libabstract-ruby1.8_1.0.0-2.1_all.deb
 34c1c45aa4dd7683e37493f7fa02e3f10f74a6d72b4febda9d421669731edd40 3620 libabstract-ruby1.9.1_1.0.0-2.1_all.deb
 f447809c5ea99cf69b01d3fa56e324c1579afe0b7dadd5ba297268ae8cfa2309 13850 libabstract-ruby-doc_1.0.0-2.1_all.deb
Files: 
 ec75551cfcb4ab43a51ea20c270d8530 1828 libs extra libabstract-ruby_1.0.0-2.1.dsc
 4ec9e079e706b800ce7ccaeeaafa4b8f 2324 libs extra libabstract-ruby_1.0.0-2.1.diff.gz
 89fb7d5568191abe3bba867c13d7d5ac 2980 libs extra libabstract-ruby_1.0.0-2.1_all.deb
 49814ed55c7142af2106caa47a132d8c 3620 libs extra libabstract-ruby1.8_1.0.0-2.1_all.deb
 9d7851c21c521d4951d0edf551fd7104 3620 libs extra libabstract-ruby1.9.1_1.0.0-2.1_all.deb
 3498c15d9a85a0e9b808b9b4ede734a0 13850 doc extra libabstract-ruby-doc_1.0.0-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMMjwfAAoJELZaSHHKGdcXM8MP/jnk8iYWSFiRdJFb2pvMgvBi
H9qwxX8eCKdhKlWtxCbl2NKA976aSa28ELI/6H2ayRLxYX+kW7yAIUEc3xmQ6/eg
2J69m/QMA8orJOxvj2x2O78stT56ErZzF3Ut9Xrv7VAzQgPMNfbU+HPTptlFZxnj
+pob1hGXls+NqL5Utc/Xn6pqaX0bqzUEYoPkHLEMZaCFWzV2JU75WU/OAX1ZYobJ
b4p/68vY7SBsBmvjVqKF0pnUt53B5jbzuQgzDkBHDWDxsLdLWGBd/blM0F+5o8K9
7de+iba0/JDsZ71eAr7nRArw2vcFUF8H7JflRvXSraUL6T9YtOsWjRU7Enk5GIk7
4Mae7GMGPviWMcvmqnqhVEwTb0OqnQ9Qbq9z6Pfq5i0HluIQWr6dvBsTtKAGRpKN
LvVv2BGWVNjqLEYWvlzuxIUbkflU2QjGPrWeP1p2h+piqlLaw0MVtsWa8WBevjP0
B7/KyNkt8WLFmfWspTkGkIXPRWCavZhdK5ZW6JSLicPItM9lL1ZbRYOqOoV3hxv1
1Z/KViY6JeMoD8TF8oYYJdeaLSkufIoTfU6Is1YtfUbrKsbTTyeu2bR4y+nGYjop
xzve5b1dsWN2kRLC9jS5DncJGsZCxhRu0oziIljM6U5RHSBCMFlC4weK1PBLS3lC
e+2FVQrNA5h6gEpEZUD+
=NtAK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Aug 2010 07:36:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:48:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.